在安装robotframework的AutoItLibrary库的时候遇到一个报错File "setup.py", line 57,求教各位大神

按照别的大神的安装帖子安装,一共3个插件,后面2个都安装好了,就第一个报错,按照别的大神的安装帖子安装,一共3个插件,后面2个都安装好了,就第一个报错,报错代码如下
报错代码如下

C:\Users\Administrator\Downloads\AutoItLibrary-1.1.post1>python setup.py install
  File "setup.py", line 57
    print "Don't think we need to unregister the old one..."
                                                           ^
SyntaxError: Missing parentheses in call to 'print'. Did you mean print(print "D
on't think we need to unregister the old one...")?

安装电脑环境

win7旗舰版 64位
python是 64位的3.6.4

1个回答

已经提示你了,你的 print 语句没有加上括号。应该是:

print("Don't think we need to unregister the old one...")

你要安装的库应该是 python2.x 版本的,你现在的 python 是3.x,其 print是个函数,需要有括号来表示调用 。
友情提醒你重新找个对应 python 版本的库进行安装。

oukohou
oukohou 回复jiayougana: 试了10个月啊,你这有点6~
4 个月之前 回复
jiayougana
jiayougana 谢谢
4 个月之前 回复
jiayougana
jiayougana 我去试试,感谢
大约一年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问